
<!--- This file is automatically generated by make gen-cli-docs; changes should be made in the go CLI command code (under cmd/kops) -->

## kops get instancegroups

Get one or many instance groups.

### Synopsis

Display one or many instance group resources.

```
kops get instancegroups [INSTANCE_GROUP]... [flags]
```

### Examples

```
  # Get all instance groups in a state store
  kops get instancegroups
  
  # Get a cluster's instancegroup
  kops get instancegroups --name k8s-cluster.example.com nodes
  
  # Save a cluster's instancegroups desired configuration to YAML file
  kops get instancegroups --name k8s-cluster.example.com -o yaml > instancegroups-desired-config.yaml
```

### Options

```
  -h, --help   help for instancegroups
```

### Options inherited from parent commands

```
      --add_dir_header                   If true, adds the file directory to the header of the log messages
      --alsologtostderr                  log to standard error as well as files
      --config string                    yaml config file (default is $HOME/.kops.yaml)
      --log_backtrace_at traceLocation   when logging hits line file:N, emit a stack trace (default :0)
      --log_dir string                   If non-empty, write log files in this directory
      --log_file string                  If non-empty, use this log file
      --log_file_max_size uint           Defines the maximum size a log file can grow to. Unit is megabytes. If the value is 0, the maximum file size is unlimited. (default 1800)
      --logtostderr                      log to standard error instead of files (default true)
      --name string                      Name of cluster. Overrides KOPS_CLUSTER_NAME environment variable
      --one_output                       If true, only write logs to their native severity level (vs also writing to each lower severity level)
  -o, --output string                    output format. One of: table, yaml, json (default "table")
      --skip_headers                     If true, avoid header prefixes in the log messages
      --skip_log_headers                 If true, avoid headers when opening log files
      --state string                     Location of state storage (kops 'config' file). Overrides KOPS_STATE_STORE environment variable
      --stderrthreshold severity         logs at or above this threshold go to stderr (default 2)
  -v, --v Level                          number for the log level verbosity
      --vmodule moduleSpec               comma-separated list of pattern=N settings for file-filtered logging
```

### SEE ALSO

* [kops get](kops_get.md)	 - Get one or many resources.

